import { universityAppUrl } from "@/helpers/routes";

export interface IFaqProps {
	title: string;
	text: string;
	mt?: string;
}

const educationFaqs: IFaqProps[] = [
	{
		title: "How do I apply to ReadyforWork as a student?",
		text:
		`
		<div className="space-y-2">
		<p style="margin-top:20px">
		To join ReadyforWork, you must <a href="${universityAppUrl('/auth/register')}" style="color:#02F980;"><strong>Apply</strong></a> to a cohort or join a <a style="color:#02F980;" href="${universityAppUrl('/auth/waitlist')}"><strong>waitlist</strong></a>.
		</p>
		<p style="margin-top:20px">
		We'll ask for your email address, and you'll create a password. 
		You can also sign up by connecting to your Google or LinkedIn account. 
		</p>

		<p style="margin-top:20px">
		<span style="font-size:14px;">Tip</span>: If you already have a ReadyforWork account, go to <strong>Home</strong> on the website, click <strong>Accounts</strong>, and 
		select <strong>Student</strong> to log in to your account. OR click on <strong>Education</strong> to access ReadyforWork 
		University and then log in to your account. 
		</p>

		<p style="margin-top:20px">
		User enrollment  process requires a student to follow a series of steps in order to successfully be registered and enrolled into a cohort/program.
			<div style="margin-top:20px;"></div>
			<span className="block" style="padding-left:25px;display:block;">1. Select preferred track.</span>
			<span className="block" style="padding-left:25px;display:block">2. Attempt pre-enrollment assessment.</span>
		</p>

		<p style="margin-top:20px">
		<span style="font-size:14px;">Tip</span>: Pre-enrollment assessment is broken into multiple micro-tasks. You can always come back and pick up from where you left off.
		<div style="margin-top:20px;"></div>
		<span className="block" style="padding-left:25px;display:block">3. Await onboarding notice from ReadyforWork admission department.</span>
		</p>
		
		<p style="margin-top:20px">
			<span style="font-size:14px;">Tip</span>: Student onboarding happens onsite at SFAN campus or online for international students.
			<div style="margin-top:20px;"></div>
			<span className="block" style="padding-left:25px;display:block">4. Once successfully onboarded, you can begin your classess online.</span>
		</p>

		<p style="margin-top:20px">
			<span style="font-size:14px;">Tip</span>: Students have personalized, intuitive dashboard to help them track how they stack up against their competition, 
			monitor improvement areas and learning journey.
			<div style="margin-top:20px;"></div>
			<span className="block" style="padding-left:25px;display:block">5. That's it! <span>
		</p>
		<p style="margin-top:20px">
		Every week you'll have a chance to work on an aspect of your capstone project, receive coach advice, learn from your peers, and learn from the interactive courses on the digital platform.
		</p>
		</div>
		
			`,
	},
	{
		title: "Will I get a job after participating in the ReadyforWork Career Accelerator?",
		text: 
		`
		<p style="margin-top:20px">
		We partner with corporates and high-growth startups to curate the RFW accelerator experience.
		</p>
		<p style="margin-top:20px">
		After the six-week intensive bootcamp, our industry partners provide RFW leaders with internship, job, or apprentice opportunities. While we provide these opportunities to all ReadyforWork leaders, we can not guarantee who gets a slot, as the program is competitive and merit-based.
		</p>
		<p style="margin-top:20px">
		If you didn't get a call, we provide ongoing support and resources to help you launch your career. The objective reality is that if you do everything we say to do in the program, you should be able to find a job or launch your startup quickly.
		</p>
		`,
		mt: "20",
	},
	{
		title: "Who can apply to participate in the ReadyforWork Career Accelerator?",
		text: 
		`
		<p style="margin-top:20px">
		The program is open to high potential University graduates, entry-level job seekers, early-stage career professionals, and folks looking to change jobs, re-enter the workforce, or start a company.		
		</p>
		<p style="margin-top:20px">
		If you are still in school and wish to join ReadyforWork, you must already be at the tail end of your degree course and available to commit to the program.		
		</p>
		<p style="margin-top:20px">
		And if you're working a full-time job, we recommend you confirm with your employer that your participation in the RFW experience will not conflict with your job.		
		</p>
		<p style="margin-top:20px">
		Participants must allocate at least 3 hours per week for their classes.
		</p>

		`,
		mt: "20",
	},
	
	{
		title: "How long does the application process take?",
		text: `
		<p>
		All things being equal, the overall application process takes less than 1 hr to complete. 
		The first part, which is your general information takes less than 2 minutes, 
		while the assessment part takes about 55 minutes. 
		However, that depends on your chosen track.
		</p>
		`,
	},
	{
		title: "If I'm selected, what should I expect?",
		text: `
		Being selected to join ReadyforWork means you will be 
		solving real business challenges. The program is intensive, 
		so you need to plan to commit at least 15 hours weekly to your 
		coursework. You will also need a laptop and stable internet. 
		However, you can always come to our campus and learn from the digital classroom.
		`,
	},

	{
		title: "If I'm not selected, can I reapply in the future?",
		text: `
		Yes, you can definitely reapply. We review applications 
		for candidates' suitability for our program, so we often accept 
		<1% of applicants per cohort.
		`,
	},
	{
		title: "How long does the ReadyforWork Career Accelerator last?",
		text: `
		Cumulatively, the RFWCA program lasts for six weeks. After the six weeks of intensive career coaching bootcamp, 
		we open up the platform for our employer partners to connect with leaders that meet their criteria for jobs, 
		internships, contract gigs, etc.
		`,
	},
	{
		title:
			"Will I get a job after participating in the ReadyforWork Career Accelerator?",
		text: 
		`
		<p style="margin-top:20px">
		We partner with corporates and high-growth startups to curate the RFW accelerator experience.
		</p>
		<p style="margin-top:20px">
		After the six-week intensive bootcamp, our industry partners provide RFW leaders with internship, job, or apprentice opportunities. While we provide these opportunities to all ReadyforWork leaders, we can not guarantee who gets a slot, as the program is competitive and merit-based.
		</p>
		<p style="margin-top:20px">
		If you didn't get a call, we provide ongoing support and resources to help you launch your career. The objective reality is that if you do everything we say to do in the program, you should be able to find a job or launch your startup quickly.
		</p>
		`,
		mt: "20",
	},
	{
		title: "How much does the ReadyforWork Career Accelerator program cost?",
		text: 
		`
		<p style="margin-top:20px">The tuition fee for ReadyforWork is $250 or its equivalence in your local currency.</p> 
		<p style="margin-top:20px">
		While we provide scholarship opportunities, the slots available are limited and merit-based. 
		Students on scholarship are allowed to reimburse RFW tuition upon securing a job within six months of 
		graduating from ReadyforWork. 
		However, they must pay a commitment fee of $30 or its equivalent in local currency.
		</p> 
		<p style="margin-top:20px">
		If a scholarship candidate does not secure a job interview within six months of graduating from RFW, then it's free for life.
		</p>
		`,
		mt: "20",
	},
	// {
	// 	title: "How much does the ReadyforWork Career Accelerator program cost?",
	// 	text: `
	// 	The total cost of participating in the RFWCA is &cent;2,500. 
	// 	This fee is payable upon securing a job placement. Even at that, we also 
	// 	have payment plans to ensure that reimbursement is not a burden on your earning. 
	// 	If a candidate does not secure a job interview within six months of 
	// 	graduating from RFW, then it's free for life.
	// 	`,
	// 	mt: "20",
	// },
	{
		title: "Who can apply to participate in the ReadyforWork Career Accelerator?",
		text: `
		The program is open to high potential University graduates, entry-level job seekers, 
		early-stage career professionals, and folks looking to either change jobs or re-enter 
		the workforce. If you are still in school and wish to join ReadyforWork, you must 
		already be at the tail end of your degree course and available to commit to the program.
		`,
		mt: "16",
	},
	{
		title: "Will I get a certificate after the program?",
		text: `
		Most definitely! Leaders that finish the program successfully will receive a 
		certificate of completion and a complementary graphic resume. 
		It is important to note that leaders could be expelled if they breach the RFW Code of 
		Conduct or Privacy Policy. Please only apply if you see the program’s 
		value and are ready to abide by our simple policies.
		`,
		mt: "16",
	},
];

const businessFaqs: IFaqProps[] = [
	{
		title: "How does the ReadyforWork Career Accelerator work?",
		text: `
		For our cohorts, we recruit the best-in-class entry-level job seekers and early 
		career professionals from across the continent and diaspora. 
		We then design industry-driven, project-based learning modules to 
		upskill them and ensure they meet your hiring needs over six weeks of 
		immersive career coaching bootcamp. After this period, you get the chance to pick and 
		choose fellows that meet your hiring needs. 
		`,
		mt: "24",
	},
	{
		title: "What is the program duration?",
		text: `
		ReadyforWork Career Accelerator is divided into two stacks. 
		The first stack is the intensive career coaching bootcamp, 
		which lasts for six weeks. And the last stage is the internship, 
		which culminates into six months, or full-time job.
		`,
	},
	{
		title: "What do you need from me as an employer?",
		text: `
		The first thing we need from our employer partners is their job description 
		for the employment opportunity you want to fill actively. We use this to design 
		project-based learning tools for our fellows. The second thing we need is that the 
		role you wish to recruit must be a paid position, we work with high-growth startups 
		and corporates. And, of course, we'd be glad to receive periodic performance 
		feedback on the fellow once recruited.
		`,
		mt: "20",
	},

	{
		title: "What else do I need to know if I'm not currently recruiting?",
		text: `
		You can work with us to re-invent your business model or solve challenging business
			challenges by having our fellows work on your tough cases and provide you needed 
			outside insights that make things happen!
		`,
	},
	{
		title: "What do I need to pay to access ReadyforWork talents?",
		text: `
		We charge a standard fee of $300 for each ReadyforWork talent recruited.
		`,
		mt: "10",
	},
	{
		title: "How are the fellows sourced, and where do they come from?",
		text: `
		ReadyforWork fellows are the Top In Class early career professionals and 
		University graduates from across the continent and African Diaspora. 
		We have a rigorous recruitment strategy, enabling us to hand-pick high-potential 
		leaders that can hit the ground running. We do the heavy lifting; you pick and choose the best talents!
		`,
		mt: "20",
	},

];

const coachFaqs: IFaqProps[] = [
	{
		title: "How are ReadyforWork coaches selected?",
		text: `
		ReadyforWork coaches are experts from various career backgrounds. We have an application and vetting process that helps us pick only the very best in their category. Coaches are also evaluated throughout their service on the platform based on the feedback and rating from users.
		`,
		mt: "14",
	},
	{
		title:
			"Is there a limit to the number of interactions expected from a coach?",
		text: `
			There is no hard limit on maximum interactions per week/month. You can engage the coachee whenever they need help and your schedule is open to that.
			`,
		mt: "10",
	},
	{
		title: "Is the coaching engagement paid?",
		text: `
							ReadyforWork coaching isn't paid at this time. Our coaches are experienced career professionals and entrepreneurs who want to give back to the next-gen leaders.
							`,
		mt: "8",
	},
	{
		title: "What else should I know about coaching on ReadyforWork?",
		text: `
			Great coaching experience is one where both the coach and the coached are playing their part. Our coaches have subject matter expertise, are available to commit to their appointments, and can help our leaders reach their career goals.
			`,
		mt: "14",
	},
];

const useFaqs = (key: string) => {
	if (key === "education") {
		return educationFaqs;
	}
	if (key === "business") {
		return businessFaqs;
	}
	if (key === "coach" || key === "coaching") {
		return coachFaqs;
	}
	if(key === "all"){
		return [
			...(educationFaqs.map((data) => ({...data,topic : 'education',}))),
			...(businessFaqs.map((data) => ({...data,topic : 'business',}))),
			...(coachFaqs.map((data) => ({...data,topic : 'coaching',}))),
		];
	}

	return [];
};

export default useFaqs;
